Subject: Re: [tcpm] Éric Vyncke's No Objection on draft-ietf-tcpm-2140bis-10: (with COMMENT)

From: Joseph Touch <[email-masked]>
Date: Sun, 11 Apr 2021 18:52:59 -0700

Hi, Éric,

Thank you for the feedback. 

An update will be posted shortly. Some notes below.

Joe

> On Mar 25, 2021, at 5:24 AM, Éric Vyncke via Datatracker <[email-masked]> wrote:
> 
> Éric Vyncke has entered the following ballot position for
> draft-ietf-tcpm-2140bis-10: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-tcpm-2140bis/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thank you for the work put into this document.
> 
> Please find below some non-blocking COMMENT points (but replies would be
> appreciated), and some nits.
> 
> I hope that this helps to improve the document,
> 
> Regards,
> 
> -éric
> 
> == COMMENTS ==
> 
> -- Abstract --
> Nothing critical, but, the abstract is mostly cut & paste of the introduction.
> Could it be made more concise ?

Done.

> -- Section 1 --
> "as often used in the World-Wide Web", references are really outdated and we
> may expect/hope that H3/QUIC will represent soon the majority of the
> connections.

This is clarified as applying to some versions of HTTP (more than a few still use TCP, including automated scripts) and other applications.

> "TCP segments having the same host-pair experience the same path properties"
> does this assumption stand in an ECMP world ? A reference to section 8.1 would
> be useful.

Done.

> -- Section 8.1 --
> "e.g., the connections could be given the same IPv6 flow label" suggest to add
> a reference to RFC 6437

Done.

> == NITS ==
> 
> -- Section 2 --
> I am always puzzled by the use of BCP 14 boilerplate for an informational
> document, but, no need to change/reply.

The rationale is directly addressed in Sec 2.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 12 Apr 2021 05:49:18 +0000

Thank you Joe for your reply with the notes.

Regards

-éric

-----Original Message-----
From: Joseph Touch <[email-masked]>
Date: Monday, 12 April 2021 at 03:53
To: Eric Vyncke <[email-masked]>
Cc: The IESG <[email-masked]>, tcpm IETF list <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [tcpm] Éric Vyncke's No Objection on draft-ietf-tcpm-2140bis-10: (with COMMENT)

    Hi, Éric,

    Joe

    Done.

    Done.

    Done.